/*****************************************************************************/
/* htmlfunctions.h - 27/10/99 - By Christophe LOREK - CRYO-NETWORKS          */
/*                                                                           */
/* SCOL functions prototypes of the libHTML                                  */
/*                                                                           */
/* last modified on 27/10/99 By Christophe LOREK                             */
/*****************************************************************************/

#ifndef  HTMLFUCNCTIONS_H
#define  HTMLFUCNCTIONS_H

#include "../x/version.h"
#include "../x/scolplugin.h"
//#include "../x/objstr.h"

#define RFLHTML_NB	0

// _CRhtml "fun [Chn S] ObjHtml"
int _CRhtml(mmachine m);

// _DShtml "fun [Objhtml] I"
int _DShtml(mmachine m);

// _GETrequiredFilesHtml "fun [ObjHtml] [[S I] r1]"
int _GETrequiredFilesHtml(mmachine m);

// _GIVEbitmapHtml "fun [ObjHtml S ObjBitmap] I"
int _GIVEbitmapHtml(mmachine m);

// _DRAWhtml "fun [ObjHtml ObjBitmap I I I I] ObjHtml"
int _DRAWhtml(mmachine m);

// _GETlinkHtml "fun [ObjHtml I I] S"
int _GETlinkHtml(mmachine m);

// DestroyHtmlH
int DestroyHtmlH(mmachine m,int handsys,int objm);

#define NHTMLPKG 7
 

#endif